diff --git a/src/types/generatedManagerTypes.ts b/src/types/generatedManagerTypes.ts
index 282750218..65266b416 100644
--- a/src/types/generatedManagerTypes.ts
+++ b/src/types/generatedManagerTypes.ts
@@ -4,342 +4,7 @@
  */
 
 export interface paths {
-  '/customnode/getmappings': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get node-to-package mappings
-     * @description Provides unified mapping between nodes and node packages
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description Source mode (e.g., "local", "remote") */
-          mode?: components['parameters']['modeParam']
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Successful operation */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'application/json': {
-              [key: string]: unknown[][]
-            }
-          }
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/customnode/fetch_updates': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Check for updates
-     * @description Fetches updates for custom nodes
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description Source mode (e.g., "local", "remote") */
-          mode?: components['parameters']['modeParam']
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description No updates available */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Updates found */
-        201: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Error occurred */
-        400: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/customnode/installed': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get installed custom nodes
-     * @description Returns a list of installed node packages
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description Lists mode, default or imported */
-          mode?: 'default' | 'imported'
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Successful operation */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'application/json': {
-              [key: string]: components['schemas']['NodePackageMetadata']
-            }
-          }
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/customnode/getlist': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get custom node list
-     * @description Provides a list of available custom nodes
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description Source mode (e.g., "local", "remote") */
-          mode?: components['parameters']['modeParam']
-          /** @description Skip update check */
-          skip_update?: boolean
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Successful operation */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'application/json': {
-              channel?: string
-              node_packs?: {
-                [key: string]: components['schemas']['NodePackageMetadata']
-              }
-            }
-          }
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/customnode/alternatives': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get alternative node options
-     * @description Provides alternatives for nodes
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description Source mode (e.g., "local", "remote") */
-          mode?: components['parameters']['modeParam']
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Successful operation */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'application/json': {
-              [key: string]: Record<string, never>
-            }
-          }
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/customnode/versions/{node_name}': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get available versions for a node
-     * @description Lists all available versions for a specific node
-     */
-    get: {
-      parameters: {
-        query?: never
-        header?: never
-        path: {
-          node_name: string
-        }
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Successful operation */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'application/json': {
-              version?: string
-            }[]
-          }
-        }
-        /** @description Node not found */
-        400: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/customnode/disabled_versions/{node_name}': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get disabled versions for a node
-     * @description Lists all disabled versions for a specific node
-     */
-    get: {
-      parameters: {
-        query?: never
-        header?: never
-        path: {
-          node_name: string
-        }
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Successful operation */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'application/json': {
-              version?: string
-            }[]
-          }
-        }
-        /** @description Node not found */
-        400: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/customnode/import_fail_info': {
+  '/v2/manager/queue/task': {
     parameters: {
       query?: never
       header?: never
@@ -349,8 +14,8 @@ export interface paths {
     get?: never
     put?: never
     /**
-     * Get import failure information
-     * @description Returns information about why a node failed to import
+     * Add task to queue
+     * @description Adds a new task to the processing queue
      */
     post: {
       parameters: {
@@ -361,21 +26,18 @@ export interface paths {
       }
       requestBody: {
         content: {
-          'application/json': {
-            cnr_id?: string
-            url?: string
-          }
+          'application/json': components['schemas']['QueueTaskItem']
         }
       }
       responses: {
-        /** @description Successful operation */
+        /** @description Task queued successfully */
         200: {
           headers: {
             [name: string]: unknown
           }
           content?: never
         }
-        /** @description No information available */
+        /** @description Invalid task data */
         400: {
           headers: {
             [name: string]: unknown
@@ -390,6 +52,64 @@ export interface paths {
     patch?: never
     trace?: never
   }
+  '/v2/customnode/import_fail_info_bulk': {
+    parameters: {
+      query?: never
+      header?: never
+      path?: never
+      cookie?: never
+    }
+    get?: never
+    put?: never
+    /**
+     * Get import failure info for multiple nodes
+     * @description Retrieves recorded import failure information for a list of custom nodes.
+     */
+    post: {
+      parameters: {
+        query?: never
+        header?: never
+        path?: never
+        cookie?: never
+      }
+      /** @description A list of CNR IDs or repository URLs to check. */
+      requestBody: {
+        content: {
+          'application/json': components['schemas']['ImportFailInfoBulkRequest']
+        }
+      }
+      responses: {
+        /** @description A dictionary containing the import failure information. */
+        200: {
+          headers: {
+            [name: string]: unknown
+          }
+          content: {
+            'application/json': components['schemas']['ImportFailInfoBulkResponse']
+          }
+        }
+        /** @description Bad Request. The request body is invalid. */
+        400: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+        /** @description Internal Server Error. */
+        500: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+      }
+    }
+    delete?: never
+    options?: never
+    head?: never
+    patch?: never
+    trace?: never
+  }
   '/customnode/install/git_url': {
     parameters: {
       query?: never
@@ -445,190 +165,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/customnode/install/pip': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    get?: never
-    put?: never
-    /**
-     * Install custom node dependencies via pip
-     * @description Installs Python package dependencies for custom nodes
-     */
-    post: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody: {
-        content: {
-          'text/plain': string
-        }
-      }
-      responses: {
-        /** @description Installation successful */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Security policy violation */
-        403: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/externalmodel/getlist': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get external model list
-     * @description Provides a list of available external models
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description Source mode (e.g., "local", "remote") */
-          mode?: components['parameters']['modeParam']
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Successful operation */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'application/json': {
-              models?: components['schemas']['ModelMetadata'][]
-            }
-          }
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/queue/update_all': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Update all custom nodes
-     * @description Queues update operations for all installed custom nodes
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description Source mode (e.g., "local", "remote") */
-          mode?: components['parameters']['modeParam']
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Update queued successfully */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Processing already in progress */
-        401: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Security policy violation */
-        403: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/queue/reset': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Reset queue
-     * @description Resets the operation queue
-     */
-    get: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Queue reset successfully */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/queue/status': {
+  '/v2/manager/queue/status': {
     parameters: {
       query?: never
       header?: never
@@ -637,11 +174,14 @@ export interface paths {
     }
     /**
      * Get queue status
-     * @description Returns the current status of the operation queue
+     * @description Returns the current status of the operation queue with optional client filtering
      */
     get: {
       parameters: {
-        query?: never
+        query?: {
+          /** @description Client ID for filtering tasks */
+          client_id?: components['parameters']['clientIdParam']
+        }
         header?: never
         path?: never
         cookie?: never
@@ -667,48 +207,50 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/manager/queue/install': {
+  '/v2/manager/queue/history': {
     parameters: {
       query?: never
       header?: never
       path?: never
       cookie?: never
     }
-    get?: never
-    put?: never
     /**
-     * Install custom node
-     * @description Queues installation of a custom node
+     * Get task history
+     * @description Get task history with optional filtering
      */
-    post: {
+    get: {
       parameters: {
-        query?: never
+        query?: {
+          /** @description Batch history ID (for file-based history) */
+          id?: string
+          /** @description Client ID for filtering tasks */
+          client_id?: components['parameters']['clientIdParam']
+          /** @description Specific task ID to retrieve */
+          ui_id?: components['parameters']['uiIdParam']
+          /** @description Maximum number of items to return */
+          max_items?: components['parameters']['maxItemsParam']
+          /** @description Offset for pagination */
+          offset?: components['parameters']['offsetParam']
+        }
         header?: never
         path?: never
         cookie?: never
       }
-      requestBody: {
-        content: {
-          'application/json': components['schemas']['NodePackageMetadata']
-        }
-      }
+      requestBody?: never
       responses: {
-        /** @description Installation queued successfully */
+        /** @description Successful operation */
         200: {
           headers: {
             [name: string]: unknown
           }
-          content?: never
-        }
-        /** @description Security policy violation */
-        403: {
-          headers: {
-            [name: string]: unknown
+          content: {
+            'application/json':
+              | components['schemas']['HistoryResponse']
+              | Record<string, never>
           }
-          content?: never
         }
-        /** @description Target node not found or security issue */
-        404: {
+        /** @description Error retrieving history */
+        400: {
           headers: {
             [name: string]: unknown
           }
@@ -716,13 +258,61 @@ export interface paths {
         }
       }
     }
+    put?: never
+    post?: never
     delete?: never
     options?: never
     head?: never
     patch?: never
     trace?: never
   }
-  '/manager/queue/start': {
+  '/v2/manager/queue/history_list': {
+    parameters: {
+      query?: never
+      header?: never
+      path?: never
+      cookie?: never
+    }
+    /**
+     * Get available batch history files
+     * @description Returns a list of batch history IDs sorted by modification time
+     */
+    get: {
+      parameters: {
+        query?: never
+        header?: never
+        path?: never
+        cookie?: never
+      }
+      requestBody?: never
+      responses: {
+        /** @description Successful operation */
+        200: {
+          headers: {
+            [name: string]: unknown
+          }
+          content: {
+            'application/json': components['schemas']['HistoryListResponse']
+          }
+        }
+        /** @description Error retrieving history list */
+        400: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+      }
+    }
+    put?: never
+    post?: never
+    delete?: never
+    options?: never
+    head?: never
+    patch?: never
+    trace?: never
+  }
+  '/v2/manager/queue/start': {
     parameters: {
       query?: never
       header?: never
@@ -766,240 +356,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/manager/queue/fix': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    get?: never
-    put?: never
-    /**
-     * Fix custom node
-     * @description Attempts to fix a broken custom node installation
-     */
-    post: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody: {
-        content: {
-          'application/json': components['schemas']['NodePackageMetadata']
-        }
-      }
-      responses: {
-        /** @description Fix operation queued successfully */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Security policy violation */
-        403: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/queue/reinstall': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    get?: never
-    put?: never
-    /**
-     * Reinstall custom node
-     * @description Uninstalls and then reinstalls a custom node
-     */
-    post: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody: {
-        content: {
-          'application/json': components['schemas']['NodePackageMetadata']
-        }
-      }
-      responses: {
-        /** @description Reinstall operation queued successfully */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Security policy violation */
-        403: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/queue/uninstall': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    get?: never
-    put?: never
-    /**
-     * Uninstall custom node
-     * @description Queues uninstallation of a custom node
-     */
-    post: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody: {
-        content: {
-          'application/json': components['schemas']['NodePackageMetadata']
-        }
-      }
-      responses: {
-        /** @description Uninstallation queued successfully */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Security policy violation */
-        403: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/queue/update': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    get?: never
-    put?: never
-    /**
-     * Update custom node
-     * @description Queues update of a custom node
-     */
-    post: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody: {
-        content: {
-          'application/json': components['schemas']['NodePackageMetadata']
-        }
-      }
-      responses: {
-        /** @description Update queued successfully */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Security policy violation */
-        403: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/queue/disable': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    get?: never
-    put?: never
-    /**
-     * Disable custom node
-     * @description Disables a custom node without uninstalling it
-     */
-    post: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody: {
-        content: {
-          'application/json': components['schemas']['NodePackageMetadata']
-        }
-      }
-      responses: {
-        /** @description Disable operation queued successfully */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/queue/update_comfyui': {
+  '/v2/manager/queue/reset': {
     parameters: {
       query?: never
       header?: never
@@ -1007,8 +364,8 @@ export interface paths {
       cookie?: never
     }
     /**
-     * Update ComfyUI
-     * @description Queues an update operation for ComfyUI itself
+     * Reset queue
+     * @description Resets the operation queue
      */
     get: {
       parameters: {
@@ -1019,7 +376,7 @@ export interface paths {
       }
       requestBody?: never
       responses: {
-        /** @description Update queued successfully */
+        /** @description Queue reset successfully */
         200: {
           headers: {
             [name: string]: unknown
@@ -1036,7 +393,121 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/manager/queue/install_model': {
+  '/v2/manager/queue/update_all': {
+    parameters: {
+      query?: never
+      header?: never
+      path?: never
+      cookie?: never
+    }
+    /**
+     * Update all custom nodes
+     * @description Queues update operations for all installed custom nodes
+     */
+    get: {
+      parameters: {
+        query: {
+          /** @description Source mode (e.g., "local", "remote") */
+          mode?: components['parameters']['modeParam']
+          /** @description Required client ID that initiated the request */
+          client_id: components['parameters']['clientIdRequiredParam']
+          /** @description Required unique task identifier */
+          ui_id: components['parameters']['uiIdRequiredParam']
+        }
+        header?: never
+        path?: never
+        cookie?: never
+      }
+      requestBody?: never
+      responses: {
+        /** @description Update queued successfully */
+        200: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+        /** @description Missing required parameters */
+        400: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+        /** @description Processing already in progress */
+        401: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+        /** @description Security policy violation */
+        403: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+      }
+    }
+    put?: never
+    post?: never
+    delete?: never
+    options?: never
+    head?: never
+    patch?: never
+    trace?: never
+  }
+  '/v2/manager/queue/update_comfyui': {
+    parameters: {
+      query?: never
+      header?: never
+      path?: never
+      cookie?: never
+    }
+    /**
+     * Update ComfyUI
+     * @description Queues an update operation for ComfyUI itself
+     */
+    get: {
+      parameters: {
+        query: {
+          /** @description Required client ID that initiated the request */
+          client_id: components['parameters']['clientIdRequiredParam']
+          /** @description Required unique task identifier */
+          ui_id: components['parameters']['uiIdRequiredParam']
+        }
+        header?: never
+        path?: never
+        cookie?: never
+      }
+      requestBody?: never
+      responses: {
+        /** @description Update queued successfully */
+        200: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+        /** @description Missing required parameters */
+        400: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+      }
+    }
+    put?: never
+    post?: never
+    delete?: never
+    options?: never
+    head?: never
+    patch?: never
+    trace?: never
+  }
+  '/v2/manager/queue/install_model': {
     parameters: {
       query?: never
       header?: never
